Groovy 1.7.0

## org.codehaus.groovy.tools.shell
Class Parser

    java.lang.Object
      org.codehaus.groovy.tools.shell.Parser

    class Parser
    extends Object

Provides a facade over the parser to recognize valid Groovy syntax.

version:
  $Id: Parser.groovy 12278 2008-05-04 12:00:38Z user57 $

author:
  Jason Dillon

Property Summary
`static String` | `NEWLINE`

Constructor Summary
`Parser()`

Method Summary
`ParseStatus` | `parse(List buffer)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Property Detail

### NEWLINE

    static final String NEWLINE

Constructor Detail

### Parser

    public Parser()

Method Detail

### parse

    ParseStatus parse(List buffer)

Copyright © 2003-2009 The Codehaus. All rights reserved.